<!--- 
	CF_XMLPARSER - Wrapper tag for CFX_XMLPARSER
	Author: Pete Freitag 
	Comapny: CFDEV.COM
	Copyright CFDEV.COM (c) 2001
	Usage:
	<CF_XMLPARSER
		XML="<xml>" OR FILE="c:/file" OR URL="http://x.com"
		OUTPUT="myVariable">
	<cfoutput>#myVariable.node.node#</cfoutput>
--->
<cfparam name="attributes.v" default="root">
<cfparam name="attributes.variable" default="#attributes.v#">
<cfparam name="attributes.output" default="#attributes.v#">
<cfif IsDefined("attributes.file")>
	<cffile action="READ" file="#attributes.file#" variable="attributes.xml">
<cfelseif IsDefined("attributes.url")>
	<cfhttp method="GET" url="#attributes.url#">
	<cfset attributes.xml = CFHTTP.FileContent>
<cfelseif NOT IsDefined("attributes.xml")>
	<cfthrow message="CF_XMLPARSER input validation error.  One of the following attributes are required XML - Xml Content, FILE - A file containing XML content, or URL - a url containing XML content.">
</cfif>

<cfx_xmlparser xml="#attributes.xml#" output="wddx">
<cfwddx action="WDDX2CFML" input="#wddx#" output="Caller.#attributes.output#">